Skip to main content
PUT
Update a budget policy

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

id
string<uuid>
required

Policy ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
config
object
required
Example:
name
string
required

Policy name

Required string length: 1 - 255
Example:

"Engineering monthly budget"

workspace_id
string<uuid>
required

Workspace the policy belongs to

Example:

"0df9e665-d932-5740-b2c7-b52af166bc11"

api_key_hashes
string[]

Complete new list of assigned API keys. Send together with member_ids, or omit both to keep the stored assignments.

Required string length: 1 - 255
Example:
is_workspace_default
boolean

Omit to keep the stored default status; false unsets the policy as the workspace default.

member_ids
string[]

Complete new list of assigned members. Send together with api_key_hashes, or omit both to keep the stored assignments.

Required string length: 1 - 255
Example:
opted_out_api_key_hashes
string[]

API key hashes

Required string length: 1 - 255
Example:
opted_out_member_ids
string[]

Organization member user IDs

Required string length: 1 - 255
Example:

Response

budget policy updated

data
object
required